/*------------------------------------------------------------\
|                                                             |
| Tool    :                   GRAAL                           |
|                                                             |
| File    :                  Gme101.h                         |
|                                                             |
| Authors :      Venot Frederic and Jacomme Ludovic           |
|                                                             |
| Date    :                  01.08.93                         |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# ifndef GRAAL_GME 
# define GRAAL_GME 

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern GraalMenuItem  GraalEditMenu[];
  extern GraalMenuItem  GraalWindowMenu[];
  extern GraalPanelItem GraalEditGlobalPanel;
  extern GraalPanelItem GraalWindowGlobalPanel;
  extern GraalPanelItem GraalEditSearchPanel;
  extern GraalPanelItem GraalEditSearchViewPanel;
  extern GraalPanelItem GraalEditIdentifyPanel;
  extern GraalPanelItem GraalEditSelectPanel;
  extern GraalPanelItem GraalModifySegmentPanel;
  extern GraalPanelItem GraalModifyTransistorPanel;
  extern GraalPanelItem GraalModifyConnectorPanel;
  extern GraalPanelItem GraalModifyReferencePanel;
  extern GraalPanelItem GraalModifyInstancePanel;
  extern GraalPanelItem GraalModifyViaPanel;

  extern int GraalEditGlobalDefaultValues[ 4 ];
  extern int GraalWindowGlobalDefaultValues[ 4 ];
  extern int GraalEditSearchDefaultValues[ 4 ];
  extern int GraalEditIdentifyDefaultValues[ 4 ];
  extern int GraalEditSelectDefaultValues[ 4 ];
  extern int GraalEditSearchViewDefaultValues[ 4 ];
  extern int GraalModifySegmentDefaultValues[ 4 ];
  extern int GraalModifyTransistorDefaultValues[ 4 ];
  extern int GraalModifyConnectorDefaultValues[ 4 ];
  extern int GraalModifyReferenceDefaultValues[ 4 ];
  extern int GraalModifyInstanceDefaultValues[ 4 ];
  extern int GraalModifyViaDefaultValues[ 4 ];

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void GraalBuildEditDialog();

  extern void GraalEditSelectPointDelete();
  extern void GraalEditSelectWindowDelete();
  extern void GraalEditSelectPointCopy();
  extern void GraalEditSelectWindowCopy();
  extern void GraalEditSelectPointMove();
  extern void GraalEditSelectWindowMove();
  extern void GraalEditSelectPointModify();
  extern void GraalEditSelectWindowModify();

  extern void GraalEditIdentify();
  extern void GraalEditUnselectAll();

  extern void GraalEditSelectPoint();
  extern void GraalEditSelectWindow();
  extern void GraalEditSelectFence();

  extern void GraalEditCopy();
  extern void GraalEditMove();
  extern void GraalEditDelete();
  extern void GraalEditModify();
  extern void GraalEditStretch();

  extern void GraalToolsSelectEqui();
  extern void GraalToolsSelectFlatten();
  extern void GraalToolsSelectUnflatten();

# endif
